#include "csr.h"
#include "rv32cpu.h"

uint32_t csr_read(struct RV32_CPU* cpu, uint32_t csr)
{
	switch(csr)
	{
		case CSR_CYCLE:
			return cpu->sim_ticks_done;
			break;
		default:
			break;
	}

	return cpu->csr[csr];
}

void csr_write(struct RV32_CPU* cpu, uint32_t csr, uint32_t value)
{
	cpu->csr[csr] = value;
}
