#ifndef INTERRUPT_H
#define INTERRUPT_H

#include <stdint.h>

#include "rv32cpu.h"

#define SCAUSE_SUPERVISOR_SOFTWARE_INTERRUPT 0x1
#define SCAUSE_SUPERVISOR_TIMER_INTERRUPT 0x5
#define SCAUSE_SUPERVISOR_EXTERNAL_INTERRUPT 0x9

void interrupt_trigger(rv32_cpu_t* cpu, uint32_t scause);
void interrupt_timer_setup();

#endif
